Bug 46973 - Source code links still use SVN
Source code links still use SVN
Status: CLOSED FIXED
Product: UCS extended documentation
Classification: Unclassified
Component: Developer documentation
unspecified
Other Linux
: P5 normal (vote)
: UCS 4.3
Assigned To: Philipp Hahn
Richard Ulmer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-07 16:56 CEST by Nico Gulden
Modified: 2018-05-18 14:12 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.057
Enterprise Customer affected?:
School Customer affected?:
ISV affected?: Yes
Waiting Support:
Ticket number: 2018050221000585
Bug group (optional): External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nico Gulden univentionstaff 2018-05-07 16:56:29 CEST
The developer reference still has links to source code to the SVN. They return a HTTP-404 error and should be updated.

For example see the links in https://docs.software-univention.de/developer-reference-4.3.html#listener:example:simple.
Comment 1 Nico Gulden univentionstaff 2018-05-07 16:59:13 CEST
Underneath the doc directory in the UCS project:

$ grep -R "svn" *
app-tutorial/integration.xml:svn co &websvn;\
app-tutorial/integration.xml:svn co &websvn;\
developer-reference/listener/listener.xml:                              Source code: <ulink url="&websvn;doc/developer-reference/listener/simple.py"/>
developer-reference/listener/listener.xml:                              Source code: <ulink url="&websvn;doc/developer-reference/listener/modrdn.py"/>
developer-reference/listener/listener.xml:                              Source code: <ulink url="&websvn;doc/developer-reference/listener/printusers/"/>
developer-reference/listener/listener.xml:                              Source code: <ulink url="&websvn;doc/developer-reference/listener/obj.py"/>
developer-reference/packaging/packaging.xml:                    Source code: <ulink url="&websvn;doc/developer-reference/packaging/testdeb/"/>
developer-reference/packaging/packaging.xml:svn co $SERVER/svn/dev/branches/ucs-4.2/ucs-4.2-0/base/univention-ssh
developer-reference/join/join.xml:                              Source code: <ulink url="&websvn;doc/developer-reference/join/join-template/"/>
developer-reference/ucr/ucr.xml:                                Source code: <ulink url="&websvn;doc/developer-reference/ucr/papersize/"/>
developer-reference/ucr/ucr.xml:                                Source code: <ulink url="&websvn;doc/developer-reference/ucr/hosts/"/>
developer-reference/ucr/ucr.xml:                                Source code: <ulink url="&websvn;doc/developer-reference/ucr/service/"/>
developer-reference/translation.xml:            <section id="misc:translation:checkoutsvn">
developer-reference/translation.xml:svn co http://forge.univention.org/svn/dev/branches/ucs-4.1/ucs-4.1-3
developer-reference/translation.xml:svn update
Comment 2 Philipp Hahn univentionstaff 2018-05-16 06:17:09 CEST
[master] d50b088 Bug #46973 doc: Link source code to GitHub
[master] a940f5e Bug #46973 doc/spell: Ignore <u:*> elements

[4.2-4] 8fe87ff3aa Bug #46973 doc: Link source code to GitHub
[4.2-4] fa69abb55a Bug #46973 doc: Fix document IDs

[4.3-0] 83e1e334cd Bug #46973 doc: Link source code to GitHub
[4.3-0] 88784ab9a9 Bug #46973 doc: Fix document IDs
Comment 3 Philipp Hahn univentionstaff 2018-05-18 13:09:02 CEST
[4.3-0] 883a621ec8 Bug #46973 doc: Switch from SVN to GIT
 doc/developer-reference/packaging/packaging.xml | 29 +++++++++++++++++------------
 doc/developer-reference/translation.xml         | 47 +++++++++++++++++++++++++++--------------------
    Change all references in text.
    
    Adapt process for translation template.
    
    Add missing `sudo apt-get build-dep .`s.

QA: I had to update the translation process: The package was renamed from "univention-ucs-translation-fr" to "univention-l10n-fr". Afterwards I was able to successfully build the package.
Comment 4 Philipp Hahn univentionstaff 2018-05-18 13:45:20 CEST
Fixes from QA:
[4.3-0] d416766de3 Bug #46973 doc: Switch from SVN to GIT
 doc/developer-reference/packaging/packaging.xml | 2 +-
 doc/developer-reference/translation.xml         | 2 +-
Comment 5 Philipp Hahn univentionstaff 2018-05-18 13:53:41 CEST
4.2-4 Backport:

[4.2-4] b6695c15da Bug #46973 doc: Switch from SVN to GIT
 doc/developer-reference/packaging/packaging.xml | 2 +-
 doc/developer-reference/translation.xml         | 2 +-

[4.2-4] e4daa3119c Bug #46973 doc: Switch from SVN to GIT
 doc/developer-reference/packaging/packaging.xml | 29 +++++++++++++++++------------
 doc/developer-reference/translation.xml         | 47 +++++++++++++++++++++++++++--------------------

The translation package was renamed through Bug #42260, which already happened for UCS-4.2, so the name is the same as with UCS-4.3.
Comment 6 Richard Ulmer univentionstaff 2018-05-18 13:58:12 CEST
No more results with "git grep svn doc/" -> OK
Changes look reasonable and references work -> OK
Applied changes to 4.2-4 -> OK
-> VERIFIED